%   exportcolormaptoc

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION. 


colors = jet(200);

a= floor(colors(:,1)*255);
b= floor(colors(:,2)*255);
c= floor(colors(:,3)*255);
                                                                     

nuller = dec2hex(zeros(size(a,1),1),2);
ahex = dec2hex(a);
bhex = dec2hex(b);
chex = dec2hex(c);
allhex = [nuller ahex bhex chex];

allnum = hex2dec(allhex)

for i=1:size(allnum)
    fprintf(1,[num2str(allnum(i)),',\n']);
end

